First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 67436
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Net-Mail Packages <net-mail@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Steph L <linux4ibook@free.fr>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
nail-11.11.ebuild Suggested nail 11.11 ebuild text/plain Steph L 2004-10-13 11:37 0000 2.05 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 67436 depends on: Show dependency tree
Show dependency graph
Bug 67436 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2004-10-13 11:36 0000
Current most version nail ebuild : 10.8
Latest nail version : 11.11

Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Steph L 2004-10-13 11:37:22 0000 -------
Created an attachment (id=41749) [edit]
Suggested nail 11.11 ebuild

------- Comment #2 From Steph L 2004-10-13 11:38:44 0000 -------
Upgrading 11.11 will bring many new interesting features : see
http://nail.sourceforge.net/ChangeLog

------- Comment #3 From Andrej Kacian (RETIRED) 2004-10-13 11:45:28 0000 -------
Could you please provide a diff against the latest nail ebuild (10.8)? I would
also like to know why did you add MAILSPOOL to emake and UCBINSTALL to make
install.

Thanks for your time

------- Comment #4 From Steph L 2004-10-13 12:27:52 0000 -------
I forgot to mention : configure does not exist anylonger in new versions.
so econf call was to be removed : 
       econf \
                --with-mailspool=~/.maildir

MAILSPOOL is now specified through the Makefile or as an argument
to make. Default is:
MAILSPOOL       = /var/mail
The default UCBINSTALL in the Makefile is /usr/ucb/install :
UCBINSTALL      = /usr/ucb/install

It has be overriden by the one used on Gentoo. 


------- Comment #5 From Andrej Kacian (RETIRED) 2004-10-14 14:14:44 0000 -------
Still, I'd like to see the new ebuild being created from 10.8 ebuild, if you
don't mind.

------- Comment #6 From Steph L 2004-10-17 10:01:34 0000 -------
No problem ! Here's a diff against the 10.8 ebuild. 
I didn't use an external patch as everything can be done through 
make arguments. 

ds9 nail # diff  -u nail-10.8.ebuild  nail-11.11.ebuild 
--- nail-10.8.ebuild    2004-09-26 00:11:26.000000000 +0200
+++ nail-11.11.ebuild   2004-10-17 18:54:36.165872728 +0200
@@ -12,14 +12,12 @@
 
 SLOT="0"
 LICENSE="BSD"
-KEYWORDS="x86 sparc ~ppc"
+KEYWORDS="~x86 ~sparc ~ppc"
 IUSE=""
 
 src_compile() {
        # ./configure no longer required
-       # patch to Gentoo specifics.
-       epatch ${FILESDIR}/${P}-Makefile.patch || die "patch failed."
-       emake || die "emake failed"
+       emake PREFIX=/usr MAILSPOOL='~/.maildir'  || die "emake failed"
 }
 
 src_install () {
@@ -30,7 +28,7 @@
        echo -e "#smtp server.  (Delete this line to use sendmail instead)" >> nail.rc
        echo -e "set smtp=localhost" >> nail.rc
 
-       make DESTDIR=${D} install || die "install failed"
+       make DESTDIR=${D} UCBINSTALL=/bin/install PREFIX=/usr install || die "install failed"
        dodoc AUTHORS COPYING I18N INSTALL README
        dodir /bin
        dosym /usr/bin/nail /bin/mail

------- Comment #7 From Andrej Kacian (RETIRED) 2004-10-17 11:48:50 0000 -------
In CVS now, thanks a lot for the ebuild. Should be hitting portage mirrors in
few hours.

First Last Prev Next    No search results available      Search page      Enter new bug